System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Property) System.Obsolete("Use SettingsBindableAttribute instead of RecommendedAsConfigurableAttribute")

Properties that are marked with the set to true display when you expand the ConfigurableProperties line in the Properties window. A property that has no recommended setting or that is marked with set to false is not shown and is an unlikely candidate for being an application setting. The default is false.

You can bind a property that does not have a to a setting in Visual Studio by clicking the ellipsis button (…) under Settings in the Properties window and selecting the appropriate property from the list.

When you mark a property with set to true, the value of this attribute is set to the constant member . For a property marked with set to value false, the value is . Therefore, when you want to check the value of this attribute in your code, you must specify the attribute as or .

For more information, see Extending Metadata Using Attributes.

.

Specifies that the property can be used as an application setting.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  true if the property this attribute is bound to can be used as an application setting; otherwise, false.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.RecommendedAsConfigurableAttribute To be added

  Specifies the default value for the , which is . This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Indicates whether this instance and a specified object are equal.

  true if is equal to this instance; otherwise, false.

  Another object to compare to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A hash code for the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Indicates whether the value of this instance is the default value for the class.

  true if this instance is the default attribute for the class; otherwise, false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.RecommendedAsConfigurableAttribute

  This field is the default setting for this attribute.

  When you mark a property with set to false, the value of this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute .

  Specifies that a property cannot be used as an application setting. This static field is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the property this attribute is bound to can be used as an application setting.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.RecommendedAsConfigurableAttribute

  When you mark a property with set to true, the value of this attribute is set to the constant member .

  Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies that a property can be used as an application setting. This static field is read-only.